import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema';
import { DateTimeNullableFilterObjectSchema as DateTimeNullableFilterObjectSchema } from './DateTimeNullableFilter.schema';
import { IntNullableFilterObjectSchema as IntNullableFilterObjectSchema } from './IntNullableFilter.schema';
import { StringNullableFilterObjectSchema as StringNullableFilterObjectSchema } from './StringNullableFilter.schema'

const cronjoblogwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => CronJobLogWhereInputObjectSchema), z.lazy(() => CronJobLogWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => CronJobLogWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => CronJobLogWhereInputObjectSchema), z.lazy(() => CronJobLogWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  jobName: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  status: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  startedAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  completedAt: z.union([z.lazy(() => DateTimeNullableFilterObjectSchema), z.coerce.date()]).optional().nullable(),
  durationMs: z.union([z.lazy(() => IntNullableFilterObjectSchema), z.number().int()]).optional().nullable(),
  errorMessage: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable()
}).strict();
export const CronJobLogWhereInputObjectSchema: z.ZodType<Prisma.CronJobLogWhereInput> = cronjoblogwhereinputSchema as unknown as z.ZodType<Prisma.CronJobLogWhereInput>;
export const CronJobLogWhereInputObjectZodSchema = cronjoblogwhereinputSchema;
